Bank Account

Create a new bank account

POST/bank-accounts

Creates a new bank account under an entity.

Body Parameters

account_structure_id

stringOptional

The account structure ID

currency_code

enumOptional

The three-letter ISO 4217 currency code for this bank account. Only USD is supported. Defaults to USD if not set. Possible values: USD

description

stringOptional

A name for the bank account (minimum: 3 characters)

display_name

stringOptional

The display name for the bank account. Display name is an account nickname used on Column's Dashboard.

entity_id

stringRequired

The entity ID of the owner

fdic_insurance

stringOptional

The type of FDIC insurance offered on this account. The default value is standard.

interest_config_id

stringOptional

The ID of interest config for this account. If it is not set, the default interest config of your platform will be used for this account. Please contact our support team for more details.

is_interest_bearing

booleanOptional

Whether your platform needs to accrue and pay interest to this account. Please contact our support team for more details.

is_overdraftable

booleanOptional

Whether the account can be overdrafted, must include an overdraft_reserve_account_id

overdraft_reserve_account_id

stringOptional

The overdraft reserve account that this account is linked to. If is_overdraftable: true then this field is required.